Package org.eclipse.net4j.util.factory

# Class FactoryKey

java.lang.Object
org.eclipse.net4j.util.factory.FactoryKey

All Implemented Interfaces:
  `Serializable`, `Comparable<FactoryKey>`, `IFactoryKey`

public final class FactoryKey extends Object implements IFactoryKey, Serializable, Comparable<FactoryKey>
A default implementation of a `factory key`.

Author:
  Eike Stepper
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from interface org.eclipse.net4j.util.factory.IFactoryKey

`DEFAULT_FACTORY_TYPE`

## Constructor Summary

Constructors
Constructor
Description
`FactoryKey(String productGroup, String type)`

## Method Summary

Modifier and Type
Method
Description
`int`
`compareTo(FactoryKey key)`
`boolean`
`equals(Object obj)`
`String`
`getProductGroup()`
`String`
`getType()`
`int`
`hashCode()`
`void`
`setProductGroup(String productGroup)`
`void`
`setType(String type)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### FactoryKey

public FactoryKey(String productGroup, String type)

## Method Details

### getProductGroup

public String getProductGroup()

Specified by:
  `getProductGroup` in interface `IFactoryKey`

### setProductGroup

public void setProductGroup(String productGroup)

### getType

public String getType()

Specified by:
  `getType` in interface `IFactoryKey`

### setType

public void setType(String type)

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### compareTo

public int compareTo(FactoryKey key)

Specified by:
  `compareTo` in interface `Comparable<FactoryKey>`

### toString

public String toString()

Overrides:
  `toString` in class `Object`